<template lang="html">
  <div class="butter-tabs">
    <flex dir="row" class="tabs">
      <butter-button v-for="(tab, key) in labels" :key="key" :theme="activeTab != key ? 'secondary' : 'primary'" @click.native="activeTab = key">{{ tab }}</butter-button>
    </flex>
    <slot :activeTab="activeTab"></slot>
  </div>
</template>

<script>
export default {
  props: ['labels'],
  data() {
    return {
      activeTab: 0,
    };
  },
  computed: {
    defaultSlots() {
      if (this.$slots.default && this.$slots.default.length) return this.$slots.default.filter(s => s.tag);
    },
  },
}
</script>

<style lang="scss" scoped>
@import 'butter-themes';
@import 'butter-mixins';
.butter-tabs {
  @include flex($dir: column);
  margin-top: $grid;
}
.tabs > * {
  flex-grow: 1;

  /deep/ button {
    @include font(17px,24px,$font-sans);
    width: 100%;

    &.primary {
      font-family: $font-sans-bold;
    }
  }
  &:first-child {
    @include themify($themes) {
      @include corners(themed('corner-radius'), 0, themed('corner-radius'), 0);
    }
  }
  &:last-child {
    @include themify($themes) {
      @include corners(0, themed('corner-radius'), 0, themed('corner-radius'));
    }
  }
}
</style>
